Bug 194599 - ja_JP help pages are garbled
ja_JP help pages are garbled
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: 171491 176344
  Show dependency treegraph
 
Reported: 2006-06-14 06:38 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0668
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 08:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
squirrelmail-encode-japanese-help-for-web.patch (2.15 KB, patch)
2006-06-14 06:38 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-06-14 06:38:35 EDT
squirrelmail-1.4.6-7.el4

The whole ja_JP web interface is written in EUC-JP, but in the .spec file, the
help files are converted to UTF-8:
        for a in `ls help/$LOCALE/ 2>/dev/null` ; do
            iconv $SKIPINVALID -f $CHARSET -t utf-8 help/$LOCALE/$a > $a.new &&
mv $a.new help/$LOCALE/$a
        done

Resulting in a completely garbled help file.

The attached patch converts the UTF-8 back to EUC-JP before showing it. Another
work-around is obviously to not convert the file from EUC-JP in the first place.
Comment 1 Bastien Nocera 2006-06-14 06:38:36 EDT
Created attachment 130816 [details]
squirrelmail-encode-japanese-help-for-web.patch
Comment 2 Warren Togami 2006-06-14 15:29:03 EDT
We aren't sure why the interface is in EUC-JP in the first place.  This requires
more investigation.
Comment 6 Warren Togami 2006-06-23 16:03:17 EDT
Trying this by avoiding conversion of the help file...  Will test.
Comment 7 Warren Togami 2006-07-10 13:22:25 EDT
Testing in FC with squirrelmail-1.4.7-2.
Comment 8 RHEL Product and Program Management 2006-08-18 11:32:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Red Hat Bugzilla 2006-09-26 08:27:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0668.html

Note You need to log in before you can comment on or make changes to this bug.